﻿html body {
    height: 100%;
    font-size: 14px;
    background-image: url('/Content/img/fondo.png'); /* Ruta relativa a wwwroot */
    background-size: cover; /* Hace que la imagen cubra todo el fondo */
    background-repeat: no-repeat; /* Evita que la imagen se repita */
    background-position: center; /* Centra la imagen en la pantalla */
    height: 100vh; /* Ocupa el 100% de la altura de la ventana */
    margin: 0; /* Elimina los márgenes por defecto del body */
}

body.my-login-page {
    background-image: url('/Content/img/fondo.png'); /* Ruta relativa a wwwroot */
    /*background-color: #3690e4;*/
    /*background-color: black;*/
}

.my-login-page .brand {
    width: 250px;
    height: 140px;
    overflow: hidden;
    /*border-radius: 50%;*/
    margin: 40px auto;
    /*box-shadow: 0 4px 8px rgba(0,0,0,.05);*/
    position: relative;
    z-index: 1;
}

    .my-login-page .brand img {
        width: 100%;
    }

.my-login-page .card-wrapper {
    width: 400px;
}

.my-login-page .card {
    border-color: transparent;
    box-shadow: 0 4px 8px rgba(0,0,0,.05);
}

    .my-login-page .card.fat {
        padding: 10px;
    }

    .my-login-page .card .card-title {
        margin-bottom: 30px;
    }

.my-login-page .form-control {
    border-width: 2.3px;
}

.my-login-page .form-group label {
    width: 100%;
}

.my-login-page .btn.btn-block {
    padding: 12px 10px;
}

.my-login-page .footer {
    margin: 40px 0;
    color: #888;
    text-align: center;
}

.form-container {
    background-color: white;
    border-radius: 20px;
    padding: 20px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 400px;
    box-sizing: border-box;
}

    .form-container img {
        width: 100%;
        /*max-width: 150px;*/ /* Ajusta según el tamaño de las imágenes */
        margin-bottom: 15px;
    }

.form-container2 {
    background-color: white;
    border-radius: 20px;
    padding: 20px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    width: 100%;
    /*max-width: 400px;*/
    box-sizing: border-box;
}
    .form-container2 img {
        /*width: 100%;*/
        /*max-width: 150px;*/ /* Ajusta según el tamaño de las imágenes */
        margin-bottom: 15px;
    }
    .form-container label {
        display: block;
        margin-bottom: 5px;
    }

    .form-container input {
        margin-bottom: 15px;
        border-radius: 10px;
    }

    .form-container .btn {
        width: 100%;
        padding: 10px;
        border-radius: 10px;
    }

@media screen and (max-width: 425px) {
    .my-login-page .card-wrapper {
        width: 90%;
        margin: 0 auto;
    }
}

@media screen and (max-width: 320px) {
    .my-login-page .card.fat {
        padding: 0;
    }

        .my-login-page .card.fat .card-body {
            padding: 15px;
        }
}
@media screen and (max-width: 992px) {
    .capa-texto-principal {
        text-align: center;
        color: white;
        font-size: 7vh;
        /*top: 35vh;*/
        line-height: 1.2;
    }
}
@media screen and (min-width: 1368px) {
    .capa-texto-principal {
        text-align: right;
        color: white;
        font-size: 7vh;
        top: 35vh;
        line-height: 1.2;
    }
    .inputs-datos-usuario {
        height: 5VH;
        border-radius: 30px;
        min-height: 50px;
    }
}
@media screen and (min-width: 993px) and (max-width: 1367px ) {
    .capa-texto-principal {
        text-align: right;
        color: white;
        font-size: 7vh;
        top: 45vh;
        line-height: 1.2;
    }
    .inputs-datos-usuario {
        height: 5VH;
        border-radius: 30px;
    }
}

@font-face {
    font-family: 'Poppins';
    src: url('/fonts/Poppins-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

/* Aplica la fuente al label */
.custom-font-label {
    font-family: 'Poppins', sans-serif;
}

/* Aplica la fuente a un div */
.custom-font-div {
    font-family: 'Poppins', sans-serif;
}